## rock-master-20.01-base-templates-ruby-lib 0.20140107

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(FILES ./manifest.xml DESTINATION share/rock/base/templates/ruby_lib/.)
install(FILES ./config_manifest.sh DESTINATION share/rock/base/templates/ruby_lib/.)
install(FILES ./CMakeLists.txt DESTINATION share/rock/base/templates/ruby_lib/.)
install(DIRECTORY ./test DESTINATION share/rock/base/templates/ruby_lib/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/test_dummyproject.rb DESTINATION share/rock/base/templates/ruby_lib/./test)
install(FILES ./test/suite.rb DESTINATION share/rock/base/templates/ruby_lib/./test)
install(FILES ./prepare_ruby_c_extension.sh DESTINATION share/rock/base/templates/ruby_lib/.)
install(DIRECTORY ./lib DESTINATION share/rock/base/templates/ruby_lib/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./lib/dummyproject.rb DESTINATION share/rock/base/templates/ruby_lib/./lib)
install(DIRECTORY ./lib/dummyproject DESTINATION share/rock/base/templates/ruby_lib/./lib FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./lib/dummyproject/base.rb DESTINATION share/rock/base/templates/ruby_lib/./lib/dummyproject)
install(FILES ./lib/dummyproject/test.rb DESTINATION share/rock/base/templates/ruby_lib/./lib/dummyproject)
install(FILES ./README.rdoc DESTINATION share/rock/base/templates/ruby_lib/.)
install(DIRECTORY ./ext DESTINATION share/rock/base/templates/ruby_lib/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./ext/dummyproject DESTINATION share/rock/base/templates/ruby_lib/./ext FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./ext/dummyproject/extconf.rb DESTINATION share/rock/base/templates/ruby_lib/./ext/dummyproject)
install(FILES ./ext/dummyproject/dummyproject.cc DESTINATION share/rock/base/templates/ruby_lib/./ext/dummyproject)
install(FILES ./ext/Rakefile DESTINATION share/rock/base/templates/ruby_lib/./ext)
install(FILES ./Rakefile DESTINATION share/rock/base/templates/ruby_lib/.)
install(FILES ./config.sh DESTINATION share/rock/base/templates/ruby_lib/.)
install(DIRECTORY ./bin DESTINATION share/rock/base/templates/ruby_lib/. FILES_MATCHING PATTERN .* EXCLUDE)

=== debian/changelog ===
rock-master-20.01-base-templates-ruby-lib (0.20140107-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/base-templates-ruby_lib.git
  * branch: refs/heads/master
  * commit: 44124bd7920b625cb1ce0bb99f7faada38a89be8
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 13 Feb 2020 02:06:33 +0100

=== debian/control ===
Source: rock-master-20.01-base-templates-ruby-lib
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rake-compiler, rock-master-20.01-ruby-hoe-yard, rock-master-20.01-ruby-utilrb, ruby-hoe
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-base-templates-ruby-lib
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-ruby-utilrb, ruby-hoe, rock-master-20.01-ruby-hoe-yard, rake-compiler
Description: dummy-brief-desc
 dummy-long-desc

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master2001_install_dir = /opt/rock/master-20.01
env_setup =  PATH=$(master2001_install_dir)/bin:$(PATH)
env_setup += HOME=/home/ 
env_setup += RUBYLIB=$(master2001_install_dir)/$(rockruby_libdir):$(master2001_install_dir)/$(rockruby_archdir):$(master2001_install_dir)/lib/ruby/vendor_ruby/standard:$(master2001_install_dir)/lib/ruby/vendor_ruby/core:$(master2001_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master2001_install_dir)/lib/pkgconfig:$(master2001_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master2001_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master2001_install_dir)/lib:$(master2001_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master2001_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master2001_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2001_install_dir)/lib:$(master2001_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-20.01
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-20.01-base-templates-ruby-lib$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-20.01-base-templates-ruby-lib

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
include /usr/share/cdbs/1/class/cmake.mk

# END IMPORTER
# ##########################################
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-20.01-base-templates-ruby-lib::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Cleanup {}; sed -i 's#-isystem/usr/include # #g' {}; sed -i 's#-I/usr/include # #g' {}; cat {}" \;

###########################################
# DOCS


# END DOCS
###########################################
